WasiError - Crystal 1.5.0

# enum WasiError

##
Defined in:

wasi_error.cr

##
Enum Members

SUCCESS = `0_u16`
TOOBIG = `1_u16`

  No error occurred. System call completed successfully.

ACCES = `2_u16`

  Argument list too long.

ADDRINUSE = `3_u16`

  Permission denied.

ADDRNOTAVAIL = `4_u16`

  Address in use.

AFNOSUPPORT = `5_u16`

  Address not available.

AGAIN = `6_u16`

  Address family not supported.

ALREADY = `7_u16`

  Resource unavailable, or operation would block.

BADF = `8_u16`

  Connection already in progress.

BADMSG = `9_u16`

  Bad file descriptor.

BUSY = `10_u16`

  Bad message.

CANCELED = `11_u16`

  Device or resource busy.

CHILD = `12_u16`

  Operation canceled.

CONNABORTED = `13_u16`

  No child processes.

CONNREFUSED = `14_u16`

  Connection aborted.

CONNRESET = `15_u16`

  Connection refused.

DEADLK = `16_u16`

  Connection reset.

DESTADDRREQ = `17_u16`

  Resource deadlock would occur.

DOM = `18_u16`

  Destination address required.

DQUOT = `19_u16`

  Mathematics argument out of domain of function.

EXIST = `20_u16`

  Reserved.

FAULT = `21_u16`

  File exists.

FBIG = `22_u16`

  Bad address.

HOSTUNREACH = `23_u16`

  File too large.

IDRM = `24_u16`

  Host is unreachable.

ILSEQ = `25_u16`

  Identifier removed.

INPROGRESS = `26_u16`

  Illegal byte sequence.

INTR = `27_u16`

  Operation in progress.

INVAL = `28_u16`

  Interrupted function.

IO = `29_u16`

  Invalid argument.

ISCONN = `30_u16`

  I/O error.

ISDIR = `31_u16`

  Socket is connected.

LOOP = `32_u16`

  Is a directory.

MFILE = `33_u16`

  Too many levels of symbolic links.

MLINK = `34_u16`

  File descriptor value too large.

MSGSIZE = `35_u16`

  Too many links.

MULTIHOP = `36_u16`

  Message too large.

NAMETOOLONG = `37_u16`

  Reserved.

NETDOWN = `38_u16`

  Filename too long.

NETRESET = `39_u16`

  Network is down.

NETUNREACH = `40_u16`

  Connection aborted by network.

NFILE = `41_u16`

  Network unreachable.

NOBUFS = `42_u16`

  Too many files open in system.

NODEV = `43_u16`

  No buffer space available.

NOENT = `44_u16`

  No such device.

NOEXEC = `45_u16`

  No such file or directory.

NOLCK = `46_u16`

  Executable file format error.

NOLINK = `47_u16`

  No locks available.

NOMEM = `48_u16`

  Reserved.

NOMSG = `49_u16`

  Not enough space.

NOPROTOOPT = `50_u16`

  No message of the desired type.

NOSPC = `51_u16`

  Protocol not available.

NOSYS = `52_u16`

  No space left on device.

NOTCONN = `53_u16`

  Function not supported.

NOTDIR = `54_u16`

  The socket is not connected.

NOTEMPTY = `55_u16`

  Not a directory or a symbolic link to a directory.

NOTRECOVERABLE = `56_u16`

  Directory not empty.

NOTSOCK = `57_u16`

  State not recoverable.

NOTSUP = `58_u16`

  Not a socket.

NOTTY = `59_u16`

  Not supported, or operation not supported on socket.

NXIO = `60_u16`

  Inappropriate I/O control operation.

OVERFLOW = `61_u16`

  No such device or address.

OWNERDEAD = `62_u16`

  Value too large to be stored in data type.

PERM = `63_u16`

  Previous owner died.

PIPE = `64_u16`

  Operation not permitted.

PROTO = `65_u16`

  Broken pipe.

PROTONOSUPPORT = `66_u16`

  Protocol error.

PROTOTYPE = `67_u16`

  Protocol not supported.

RANGE = `68_u16`

  Protocol wrong type for socket.

ROFS = `69_u16`

  Result too large.

SPIPE = `70_u16`

  Read-only file system.

SRCH = `71_u16`

  Invalid seek.

STALE = `72_u16`

  No such process.

TIMEDOUT = `73_u16`

  Reserved.

TXTBSY = `74_u16`

  Connection timed out.

XDEV = `75_u16`

  Text file busy.

NOTCAPABLE = `76_u16`

  Cross-device link.

##
Instance Method Summary

- #acces?
- #addrinuse?
- #addrnotavail?
- #afnosupport?
- #again?
- #already?
- #badf?
- #badmsg?
- #busy?
- #canceled?
- #child?
- #connaborted?
- #connrefused?
- #connreset?
- #deadlk?
- #destaddrreq?
- #dom?
- #dquot?
- #exist?
- #fault?
- #fbig?
- #hostunreach?
- #idrm?
- #ilseq?
- #inprogress?
- #intr?
- #inval?
- #io?
- #isconn?
- #isdir?
- #loop?
- #message : String

  Returns the system error message associated with this error code.

- #mfile?
- #mlink?
- #msgsize?
- #multihop?
- #nametoolong?
- #netdown?
- #netreset?
- #netunreach?
- #nfile?
- #nobufs?
- #nodev?
- #noent?
- #noexec?
- #nolck?
- #nolink?
- #nomem?
- #nomsg?
- #noprotoopt?
- #nospc?
- #nosys?
- #notcapable?
- #notconn?
- #notdir?
- #notempty?
- #notrecoverable?
- #notsock?
- #notsup?
- #notty?
- #nxio?
- #overflow?
- #ownerdead?
- #perm?
- #pipe?
- #proto?
- #protonosupport?
- #prototype?
- #range?
- #rofs?
- #spipe?
- #srch?
- #stale?
- #success?
- #timedout?
- #to_errno : Errno

  Transforms this `WasiError` value to the equivalent `Errno` value.

- #toobig?
- #txtbsy?
- #xdev?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(& : self -> ) each, names : Array(String) names, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def acces? #
def addrinuse? #
def addrnotavail? #
def afnosupport? #
def again? #
def already? #
def badf? #
def badmsg? #
def busy? #
def canceled? #
def child? #
def connaborted? #
def connrefused? #
def connreset? #
def deadlk? #
def destaddrreq? #
def dom? #
def dquot? #
def exist? #
def fault? #
def fbig? #
def hostunreach? #
def idrm? #
def ilseq? #
def inprogress? #
def intr? #
def inval? #
def io? #
def isconn? #
def isdir? #
def loop? #
def message : String #

Returns the system error message associated with this error code.

def mfile? #
def mlink? #
def msgsize? #
def multihop? #
def nametoolong? #
def netdown? #
def netreset? #
def netunreach? #
def nfile? #
def nobufs? #
def nodev? #
def noent? #
def noexec? #
def nolck? #
def nolink? #
def nomem? #
def nomsg? #
def noprotoopt? #
def nospc? #
def nosys? #
def notcapable? #
def notconn? #
def notdir? #
def notempty? #
def notrecoverable? #
def notsock? #
def notsup? #
def notty? #
def nxio? #
def overflow? #
def ownerdead? #
def perm? #
def pipe? #
def proto? #
def protonosupport? #
def prototype? #
def range? #
def rofs? #
def spipe? #
def srch? #
def stale? #
def success? #
def timedout? #
def to_errno : Errno #

Transforms this `WasiError` value to the equivalent `Errno` value.

This is only defined for some values. If no transformation is defined for a specific value, the default result is `Errno::EINVAL`.

def toobig? #
def txtbsy? #
def xdev? #